Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Thu, 20 Apr 2023 16:03:16 +0100

On Thu, Apr 20, 2023 at 3:49 PM Eli Zaretskii <[email-masked]> wrote:

> Of course, introducing and advertising eglot-update will mean users of
> Emacs 29+ will need to use a different command to upgrade Eglot than
> users of previous Emacs versions -- the same problem that you consider
> so awful in the change we made in package-update, where these users
> will now have to specify a prefix argument (and do it just once,
> AFAIU).  That is, of course, a very consistent logic on your part.

Sarcasm?  It's my best out.  eglot-update will eventually be available
to users of previous Emacs versions.  And I can precisely control
its behaviour to "always update Eglot, no matter what" (which
package-install didn't do -- BTW you mean package-install I think).
And it will work non-interactively in a config. And the change you're
referring to has been proposed for reversion anyway, because problems.
I don't appreciate eglot-update especially -- I've said that.  But
it's the best out and won't harm anyone.

João